Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class XSLContentAssistRequestFactory

    public class XSLContentAssistRequestFactory
    extends java.lang.Object

A Factory that determines which Content Assist Request class is needed and returns the appropriate class.

## Constructor Summary

`XSLContentAssistRequestFactory(ITextViewer textViewer , int documentPosition , IDOMNode xmlNode , IStructuredDocumentRegion sdRegion , ITextRegion completionRegion , java.lang.String matchString)`

## Method Summary

`public org.eclipse.wst.xsl.ui.provisional.contentassist.IContentAssistProposalRequest` | `getContentAssistRequest()` Get the appropriate content assist request class for the XSL request.
`protected boolean` | `hasAttributeAtTextRegion(java.lang.String attrName , org.w3c.dom.NamedNodeMap nodeMap , ITextRegion aRegion)`

## Constructor Detail

## XSLContentAssistRequestFactory

`public XSLContentAssistRequestFactory(ITextViewer textViewer , int documentPosition , IDOMNode xmlNode , IStructuredDocumentRegion sdRegion , ITextRegion completionRegion , java.lang.String matchString)`

## Methods Detail

## getContentAssistRequest

`public org.eclipse.wst.xsl.ui.provisional.contentassist.IContentAssistProposalRequest getContentAssistRequest()`

Get the appropriate content assist request class for the XSL request.

### Returns

`org.eclipse.wst.xsl.ui.provisional.contentassist.IContentAssistProposalRequest`

## hasAttributeAtTextRegion

`protected boolean hasAttributeAtTextRegion(java.lang.String attrName , org.w3c.dom.NamedNodeMap nodeMap , ITextRegion aRegion)`

### Parameters

`attrName`

`nodeMap`

`aRegion`

### Returns

`boolean`